---
{{- if .Values.librenmssyslogng.split }}

apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "ska-nmgr-librenms.fullname" . }}-syslog
  labels:
    {{- include "ska-nmgr-librenms.labelsSyslog" . | nindent 4 }}
spec:
  replicas: {{ .Values.librenms.replicaCount }}
  selector:
    matchLabels:
      {{- include "ska-nmgr-librenms.selectorLabelsSyslog" . | nindent 6 }}
  template:
    metadata:
      {{- with .Values.librenms.podAnnotations }}
      annotations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      labels:
        {{- include "ska-nmgr-librenms.labelsSyslog" . | nindent 8 }}
        {{- with .Values.librenms.podLabels }}
        {{- toYaml . | nindent 8 }}
        {{- end }}
    spec:
      {{- with .Values.librenms.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      serviceAccountName: {{ include "ska-nmgr-librenms.serviceAccountName" . }}
      hostname: librenms

      containers:
        - name: librenmssyslogng
          image: "{{ .Values.librenmssyslogng.image.image }}:{{ .Values.librenmssyslogng.image.tag }}"
          imagePullPolicy: {{ .Values.librenmssyslogng.image.pullPolicy }}
          securityContext:
            {{- toYaml .Values.librenmssyslogng.securityContext | nindent 12 }}
          env:
            - name: DB_HOST
              value: {{ include "ska-nmgr-librenms.fullname" . }}-{{ .Values.librenmsdb.component }}
            - name: DB_PORT
              value: "{{ .Values.librenmsdb.db.port }}"
            - name: DB_NAME
              value: "{{ .Values.librenmsdb.db.db }}"
            - name: DB_USER
              value: "{{ .Values.librenmsdb.db.user }}"
            - name: DB_PASSWORD
              value: "{{ .Values.librenmsdb.db.password }}"
            - name: DB_TIMEOUT
              value: "60"
            - name: REDIS_HOST
              value: "{{ include "ska-nmgr-librenms.fullname" . }}-{{ .Values.librenmsredis.component }}"
            - name: SIDECAR_SYSLOGNG
              value: "1"
            {{- toYaml .Values.librenms.env | nindent 12 }}
          ports:
          - name: syslogtcp
            containerPort: 514
{{- if .Values.librenmssyslogng.hostPort }}
            hostPort: 514
{{- end }}
            protocol: "TCP"
          - name: syslogudp
            containerPort: 514
{{- if .Values.librenmssyslogng.hostPort }}
            hostPort: 514
{{- end }}
            protocol: "UDP"
          {{- with .Values.librenmssyslogng.resources }}
          resources:
            {{- toYaml . | nindent 12 }}
          {{- end }}
          {{- with .Values.librenms.volumeMounts }}
          volumeMounts:
            {{- toYaml . | nindent 12 }}
          {{- end }}

      volumes:
        - name: nginx-config
          configMap:
            name: {{ include "ska-nmgr-librenms.fullname" . }}
            items:
            - key: nginx.conf
              path: nginx.conf
            # - key: logs.php
            #   path: logs.php
        - name: data
          persistentVolumeClaim:
            claimName: {{ include "ska-nmgr-librenms.fullname" . }}-librenms-data
      {{- with .Values.librenms.volumes }}
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.librenmssyslogng.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.librenmssyslogng.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.librenmssyslogng.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}

{{- end }}